Bug 1391892 - Review Request: python-vitrageclient - Python client for Vitrage REST API
Summary: Review Request: python-vitrageclient - Python client for Vitrage REST API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Javier Peña
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1379786 (view as bug list)
Depends On:
Blocks: 1342987
TreeView+ depends on / blocked
 
Reported: 2016-11-04 10:42 UTC by Matthias Runge
Modified: 2016-12-08 08:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-19 21:11:54 UTC
jpena: fedora-review+


Attachments (Terms of Use)

Description Matthias Runge 2016-11-04 10:42:46 UTC
Spec URL: http://www.matthias-runge.de/fedora/python-vitrageclient.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-vitrageclient-1.0.1-2.fc26.src.rpm
Description: Python client for Vitrage REST API. Includes python library for Vitrage API
and Command Line Interface (CLI) library.
Fedora Account System Username: mrunge

This continues https://bugzilla.redhat.com/show_bug.cgi?id=1379786

Comment 1 Matthias Runge 2016-11-04 10:44:50 UTC
*** Bug 1379786 has been marked as a duplicate of this bug. ***

Comment 2 Javier Peña 2016-11-04 10:56:47 UTC
Hi Matthias,

I have some small issues with the current spec file:

- The bash-completion subpkg needs to include a license file, since it could be installed independently of the client package.
- The python2 and python3 packages include all binaries currently (vitrage, vitrage-3 and vitrage-3.5).
- As a nitpick, there's a typo in the summary (Virage vs Vitrage)
- Finally, I'd prefer python2 dependencies to be specified as python-* instead of python2-*. This makes it simpler when the spec file is imported by CentOS, which doesn't have python3 subpackages yet.

Thanks!

Comment 4 Matthias Runge 2016-11-04 11:50:11 UTC
Updated
SPEC: http://www.matthias-runge.de/fedora/python-vitrageclient.spec
SRPM: http://www.matthias-runge.de/fedora/python-vitrageclient-1.0.1-4.fc26.src.rpm

Added: 
- checks (on py27, py3.x currently fail)
- added temporary dep to oslo_log

Comment 5 Javier Peña 2016-11-04 12:08:10 UTC
Thanks for the updates Matthias.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 5 files have unknown license. Detailed output of licensecheck
     in /tmp/1391892-python-vitrageclient/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/bash-completion,
     /usr/share/bash-completion/completions
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-vitrageclient , python3-vitrageclient , python-vitrageclient-
     doc , python-vitrageclient-bash-completion
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-vitrageclient-1.0.1-4.fc26.noarch.rpm
          python3-vitrageclient-1.0.1-4.fc26.noarch.rpm
          python-vitrageclient-doc-1.0.1-4.fc26.noarch.rpm
          python-vitrageclient-bash-completion-1.0.1-4.fc26.noarch.rpm
          python-vitrageclient-1.0.1-4.fc26.src.rpm
python2-vitrageclient.noarch: W: no-manual-page-for-binary vitrage
python3-vitrageclient.noarch: W: no-manual-page-for-binary vitrage-3.5
python3-vitrageclient.noarch: W: no-manual-page-for-binary vitrage-3
python-vitrageclient-doc.noarch: W: file-not-utf8 /usr/share/doc/python-vitrageclient-doc/html/objects.inv
python-vitrageclient-bash-completion.noarch: W: summary-not-capitalized C bash completion files for vitrage
python-vitrageclient-bash-completion.noarch: W: no-documentation
python-vitrageclient.src:149: W: macro-in-comment %{__python3}
5 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
python3-vitrageclient.noarch: W: no-manual-page-for-binary vitrage-3
python3-vitrageclient.noarch: W: no-manual-page-for-binary vitrage-3.5
python-vitrageclient-doc.noarch: W: file-not-utf8 /usr/share/doc/python-vitrageclient-doc/html/objects.inv
python-vitrageclient-bash-completion.noarch: W: summary-not-capitalized C bash completion files for vitrage
python-vitrageclient-bash-completion.noarch: W: no-documentation
python2-vitrageclient.noarch: W: no-manual-page-for-binary vitrage
4 packages and 0 specfiles checked; 0 errors, 6 warnings.



Requires
--------
python3-vitrageclient (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3-babel
    python3-cliff
    python3-keystoneauth1
    python3-oslo-log
    python3-oslo-utils
    python3-pbr

python-vitrageclient-doc (rpmlib, GLIBC filtered):

python-vitrageclient-bash-completion (rpmlib, GLIBC filtered):

python2-vitrageclient (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)
    python-babel
    python-cliff
    python-keystoneauth1
    python-oslo-log
    python-oslo-utils
    python-pbr
    python-vitrageclient-bash-completion



Provides
--------
python3-vitrageclient:
    python3-vitrageclient
    python3.5dist(python-vitrageclient)
    python3dist(python-vitrageclient)

python-vitrageclient-doc:
    python-vitrageclient-doc

python-vitrageclient-bash-completion:
    python-vitrageclient-bash-completion

python2-vitrageclient:
    python-vitrageclient
    python2-vitrageclient
    python2.7dist(python-vitrageclient)
    python2dist(python-vitrageclient)



Source checksums
----------------
https://tarballs.openstack.org/python-vitrageclient/python-vitrageclient-1.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 8eecc8bb1c8819c9e0559d193cecbaa710f782f75e171ef7845acae219540654
  CHECKSUM(SHA256) upstream package : 8eecc8bb1c8819c9e0559d193cecbaa710f782f75e171ef7845acae219540654


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1391892 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

The package is APPROVED, please go ahead with the SCM request.

Comment 6 Gwyn Ciesla 2016-11-04 14:03:01 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-vitrageclient

Comment 7 Fedora Update System 2016-11-04 14:40:56 UTC
python-vitrageclient-1.0.1-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-48d37a7abd

Comment 8 Fedora Update System 2016-11-04 14:43:47 UTC
python-vitrageclient-1.0.1-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1f4ea9c5d5

Comment 9 Fedora Update System 2016-11-05 03:37:19 UTC
python-vitrageclient-1.0.1-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-48d37a7abd

Comment 10 Fedora Update System 2016-11-05 19:00:48 UTC
python-vitrageclient-1.0.1-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1f4ea9c5d5

Comment 11 Alan Pevec 2016-11-15 00:07:02 UTC
This OpenStack package has been imported into RDO: https://review.rdoproject.org/r/#/q/topic:add-vitrageclient

Comment 12 Fedora Update System 2016-11-19 21:11:54 UTC
python-vitrageclient-1.0.1-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.